Tekla Open API

Detailed and full API reference helps you master Tekla Open API

This is the most recent version of Tekla Open API.
For older versions, please visit Tekla Warehouse.

OperationCreateConicalBentPlateByFaces Method (Part, Face, Part, Face, Double, Double)

Modifies the first plate by adding a conical bend that connects it to the second plate creating a new BentPlate instance based on two parts and selected faces in each part, and the largest radius of the conical section and the cone aperture. This method can change GUID when using from plug-ins. To keep GUID, use AddLeg(ConnectiveGeometry, LineSegment, ConnectiveGeometry, LineSegment, Double).

Namespace:  Tekla.Structures.Model.Operations
Assembly:  Tekla.Structures.Model (in Tekla.Structures.Model.dll) Version: 2018.1.0.0 (2018.1.0.0)
Syntax
public static BentPlate CreateConicalBentPlateByFaces(
	Part part1,
	Face face1,
	Part part2,
	Face face2,
	double largestRadius,
	double halfAperture
)

Parameters

part1
Type: Tekla.Structures.ModelPart
The first part.
face1
Type: Tekla.Structures.SolidFace
The selected solid face on the first part.
part2
Type: Tekla.Structures.ModelPart
The second part.
face2
Type: Tekla.Structures.SolidFace
The selected solid face on the second part.
largestRadius
Type: SystemDouble
Largest radius of the conical section
halfAperture
Type: SystemDouble
Angle between a generatrix of the cone and its center line (i.e. axis)

Return Value

Type: BentPlate
The bent plate object if successful, null otherwise.
Exceptions
Exception Condition
ConnectiveGeometryException Thrown if could not create ConnectiveGeometry instance.
ArgumentException Thrown when faces have incorrect number of face points or received unsupported bent plate creation input.
See Also